Bug 975075 - Make sure we call the hooks on the correct cartridge by reading ident from the cartridge_dir and fix reading app in REST API before app creation is complete
Make sure we call the hooks on the correct cartridge by reading ident from th...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
1.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 11:07 EDT by chris alfonso
Modified: 2017-03-08 12 EST (History)
4 users (show)

See Also:
Fixed In Version: rubygem-openshift-origin-controller-1.9.14-1.1.el6op rubygem-openshift-origin-node-1.9.13-1.1.el6op
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 11:46:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chris alfonso 2013-06-17 11:07:29 EDT
Description of problem:
Tracker bug for two upstream commits

commit 11b828f85d67a9b4cfcf9f3429f8dd3ad82de9d8
Author: Mrunal Patel <mrunalp@gmail.com>
Date:   Wed Jun 12 12:52:18 2013 -0700

     Make sure we call the hooks on the correct cartridge by reading
         ident from the cartridge_dir

commit 5e550380fddf0157a2a7831324f79427641b62ea
Author: Lili Nader <lnader@redhat.com>
Date:   Thu Jun 13 12:30:24 2013 -0700

     Bug 973718
Comment 3 Johnny Liu 2013-06-20 06:31:41 EDT
Verified this bug with rubygem-openshift-origin-controller-1.9.14-1.1.el6op.noarch and rubygem-openshift-origin-node-1.9.13-1.1.el6op.noarch in 1.2/2013-06-19.2 puddle, the above fix patches are already merged.
Comment 4 Luke Meyer 2013-06-26 09:15:54 EDT
Those were stage branch commits - for reference, the origin-server/master commits for these are:

commit fc92417d1599723b40dfdd833287e37eec8de97b
Author:     Mrunal Patel <mrunalp@gmail.com>

commit c22cac12b5615e6a888e3de0a1944321647651d4
Author:     Lili Nader <lnader@redhat.com>
Comment 5 Luke Meyer 2013-06-28 11:46:48 EDT
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).

Note You need to log in before you can comment on or make changes to this bug.